Name:		kalibrate-rtl
Version:	69
Release:	%mkrel 3
Summary:	Calibrate rtl-sdr dongles against local GSM transmitters
Group:		Communications/Radio
License:	GPLv1
URL:		https://github.com/steve-m/kalibrate-rtl

Source0:	kalibrate-rtl-%{version}.tar.gz
Source1:	mk-tar

BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	automake
BuildRequires:	libtool

# To provide udev rules
Requires:	rtl-sdr

%description
Kalibrate, or kal, can scan for GSM base stations in a given frequency band
and can use those GSM base stations to calculate the local oscillator
frequency offset of an rtl-sdr dongle.

%prep
%setup -q -n %{name}

%build
./bootstrap
%configure --disable-dependency-tracking
%make_build

%install
%make_install

%files
%doc COPYING NEWS README.md
%{_bindir}/kal


%changelog
* Tue Feb 06 2024 barjac <barjac> 69-3.mga10
+ Revision: 2037393
- rebuild for rtl-sdr-2.0.1 (librtlsdr)

* Fri Apr 01 2022 umeabot <umeabot> 69-2.mga9
+ Revision: 1838166
- Mageia 9 Mass Rebuild

* Sat Feb 05 2022 barjac <barjac> 69-1.mga9
+ Revision: 1771692
- new version 69

* Thu Feb 20 2020 umeabot <umeabot> 65-2.mga8
+ Revision: 1545830
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 barjac <barjac> 65-1.mga8
+ Revision: 1485266
- new version 65

* Sun Nov 24 2019 barjac <barjac> 63-1.mga8
+ Revision: 1462703
- new version 63
- update files list

* Tue Nov 12 2019 barjac <barjac> 13-1.mga8
+ Revision: 1459501
- new version 13

* Wed Jan 23 2019 barjac <barjac> 11-1.mga7
+ Revision: 1360409
- new versioning 11

* Sun Sep 23 2018 umeabot <umeabot> 0-0.11.2.mga7
+ Revision: 1298424
- Mageia 7 Mass Rebuild

* Sat Dec 03 2016 barjac <barjac> 0-0.11.1.mga6
+ Revision: 1071901
- import new package

